/*
Copyright 2010 Grégory Soutadé

This file is part of KissCount.

KissCount is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

KissCount is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with KissCount.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef USERSDIALOG_H
#define USERSDIALOG_H

#include <list>

#include <wx/wx.h>
#include <wx/choice.h>
#include <wx/textctrl.h>
#include <wx/textdlg.h>
#include <controller/KissCount.h>
#include "wxUI.h"

class wxUI;
class KissCount;

class UsersDialog : public wxDialog
{
 public: 
  UsersDialog(KissCount* kiss, wxUI *parent);
  
  void OnOK(wxCommandEvent& event);
  void OnCancel(wxCommandEvent& event);
  void OnNewUser(wxCommandEvent& event);

 private:
  KissCount* _kiss;
  wxUI* _wxUI;
  wxChoice* _users;
  wxTextCtrl* _password;

  DECLARE_EVENT_TABLE();

};
#endif
