/*
Copyright 2010 Grégory Soutadé

This file is part of KissCount.

KissCount is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

KissCount is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with KissCount.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef WXGRIDCELLBITMAPRENDERER_H
#define WXGRIDCELLBITMAPRENDERER_H

#include <wx/grid.h>
#include <wx/bitmap.h>
#include <wx/dc.h>

class wxGridCellBitmapRenderer : public wxGridCellRenderer
{
 public:
  wxGridCellBitmapRenderer(wxBitmap& bitmap);

  virtual wxGridCellRenderer*	Clone () const;
  virtual void Draw (wxGrid &grid, wxGridCellAttr &attr, wxDC &dc, const wxRect &rect, int row, int col, bool isSelected);
  virtual wxSize GetBestSize (wxGrid &grid, wxGridCellAttr &attr, wxDC &dc, int row, int col);

 private:
  wxBitmap _bitmap;
};

#endif
